Skip to main content
POST
Run many test cases

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
promptVersionId
string<uuid>
required
testCaseIds
string<uuid>[]

Explicit test cases to run. Takes precedence over filters.

filters
object

Selects test cases of the version's canvas when testCaseIds is omitted. Same filters as GET /test-case.

Response

Batch execution started.

executionId
string
required

Batch job id. Empty string when nothing was started.

executionIds
string[]
required

Currently a single-element array containing executionId, or empty when nothing was started.

testCaseIds
string<uuid>[]
required

Test cases that were actually started (already-running ones are excluded).